Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lbg.peer.strategy
Class StrategyDescriptor

    java.lang.Object
      lbg.peer.strategy.StrategyDescriptor

    public class StrategyDescriptor

extends java.lang.Object

Author:
  Cyril Briquet

Constructor Summary
`StrategyDescriptor(Peer managed_peer, PeerStrategyConfiguration peer_strategy_config)`

Method Summary
`BarteringAccountantPolicy` | `createDefaultAccountant()`
`Negotiator` | `createNegotiator()`
`Scheduler` | `createScheduler(Negotiator negotiator)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StrategyDescriptor

    public StrategyDescriptor(Peer managed_peer,
                              PeerStrategyConfiguration peer_strategy_config)
                       throws GridException

Throws:
  `GridException`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### createNegotiator

    public Negotiator createNegotiator()
                                throws GridException

  Throws:
    `GridException`

### createScheduler

    public Scheduler createScheduler(Negotiator negotiator)
                              throws GridException

  Throws:
    `GridException`

### createDefaultAccountant

    public BarteringAccountantPolicy createDefaultAccountant()
                                                      throws GridException

  Throws:
    `GridException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Lightweight Bartering Grid
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

> Copyright (c) 2005-2008, Cyril Briquet, parts Xavier Dalem.